Index: uspace/srv/hw/netif/dp8390/dp8390.c
===================================================================
--- uspace/srv/hw/netif/dp8390/dp8390.c	(revision 096234b9793633e959b9f9a7665c5a2d6f85c7ff)
+++ uspace/srv/hw/netif/dp8390/dp8390.c	(revision 37f0a2922d68d05398f1e81f4691c64308e722a7)
@@ -59,5 +59,4 @@
 static void dp_pio16_nic2user(dpeth_t *dep, int nic_addr, void *buf, size_t offset, size_t size);
 static void conf_hw(dpeth_t *dep);
-static void reply(dpeth_t *dep, int err, int may_block);
 static void insb(port_t port, void *buf, size_t size);
 static void insw(port_t port, void *buf, size_t size);
@@ -83,16 +82,4 @@
 		return EXDEV;
 	
-	if (dep->de_mode == DEM_SINK) {
-//		strncpy((char *) dep->de_address.ea_addr, "ZDP", 6);
-//		dep->de_address.ea_addr[5] = port;
-//		reply_mess.m_type = DL_CONF_REPLY;
-//		reply_mess.m3_i1 = mp->DL_PORT;
-//		reply_mess.m3_i2 = DE_PORT_NR;
-//		*(ether_addr_t *) reply_mess.m3_ca1 = dep->de_address;
-//		mess_reply(mp, &reply_mess);
-//		return;
-		return EOK;
-	}
-	
 	assert(dep->de_mode == DEM_ENABLED);
 	assert(dep->de_flags & DEF_ENABLED);
@@ -123,6 +110,5 @@
 void do_stop(dpeth_t *dep)
 {
-	if ((dep->de_mode != DEM_SINK)
-	    && (dep->de_mode == DEM_ENABLED)
+	if ((dep->de_mode == DEM_ENABLED)
 	    && (dep->de_flags & DEF_ENABLED)) {
 		outb_reg0(dep, DP_CR, CR_STP | CR_DM_ABORT);
@@ -161,5 +147,5 @@
 	int sendq_head;
 /*	dpeth_t *dep;
-
+	
 	port = mp->DL_PORT;
 	count = mp->DL_COUNT;
@@ -169,14 +155,7 @@
 	dep->de_client= mp->DL_PROC;
 */
-	if (dep->de_mode == DEM_SINK) {
-		assert(!from_int);
-//		dep->de_flags |= DEF_PACK_SEND;
-		reply(dep, EOK, false);
-//		return;
-		return EOK;
-	}
 	
 	assert(dep->de_mode == DEM_ENABLED);
-	assert(dep->de_flags &DEF_ENABLED);
+	assert(dep->de_flags & DEF_ENABLED);
 	
 	if ((dep->packet_queue) && (!from_int)) {
@@ -192,5 +171,4 @@
 //		dep->de_sendmsg= *mp;
 //		dep->de_flags |= DEF_SEND_AVAIL;
-//		reply(dep, EOK, false);
 //		return;
 //		return queue_packet(dep, packet);
@@ -244,16 +222,4 @@
 	
 //	dep->de_flags |= DEF_PACK_SEND;
-	
-	/*
-	 * If the interrupt handler called, don't send a reply. The reply
-	 * will be sent after all interrupts are handled.
-	 */
-	if (from_int)
-		return EOK;
-	
-	reply(dep, EOK, false);
-	
-	assert(dep->de_mode == DEM_ENABLED);
-	assert(dep->de_flags & DEF_ENABLED);
 	
 	return EOK;
@@ -540,5 +506,4 @@
 		 * are delivered.
 		 */
-		printf("<reset>\n");
 		dp_reset(dep);
 	}
@@ -692,5 +657,4 @@
 	}
 	
-	dep->de_read_s = length;
 	dep->de_flags |= DEF_PACK_RECV;
 //	dep->de_flags &= ~DEF_READING;
@@ -836,37 +800,4 @@
 }
 
-static void reply(dpeth_t *dep, int err, int may_block)
-{
-/*	message reply;
-	int status;
-	int r;
-	
-	status = 0;
-	if (dep->de_flags &DEF_PACK_SEND)
-		status |= DL_PACK_SEND;
-	
-	if (dep->de_flags &DEF_PACK_RECV)
-		status |= DL_PACK_RECV;
-	
-	reply.m_type = DL_TASK_REPLY;
-	reply.DL_PORT = dep - de_table;
-	reply.DL_PROC = dep->de_client;
-	reply.DL_STAT = status | ((u32_t) err << 16);
-	reply.DL_COUNT = dep->de_read_s;
-	reply.DL_CLCK = 0;  *//* Don't know */
-	
-/*	r = send(dep->de_client, &reply);
-	if (r == ELOCKED && may_block) {
-		printf("send locked\n");
-		return;
-	}
-	
-	if (r < 0)
-		fprintf(stderr, "dp8390: send failed\n");
-	
-*/	dep->de_read_s = 0;
-//	dep->de_flags &= ~(DEF_PACK_SEND | DEF_PACK_RECV);
-}
-
 static void insb(port_t port, void *buf, size_t size)
 {
Index: uspace/srv/hw/netif/dp8390/dp8390.h
===================================================================
--- uspace/srv/hw/netif/dp8390/dp8390.h	(revision 096234b9793633e959b9f9a7665c5a2d6f85c7ff)
+++ uspace/srv/hw/netif/dp8390/dp8390.h	(revision 37f0a2922d68d05398f1e81f4691c64308e722a7)
@@ -286,8 +286,5 @@
 	int de_mode;
 	eth_stat_t de_stat;
-	size_t de_read_s;
-//	int de_client;
-//	message de_sendmsg;
-	dp_user2nicf_t de_user2nicf; 
+	dp_user2nicf_t de_user2nicf;
 	dp_nic2userf_t de_nic2userf;
 	dp_getblock_t de_getblockf;
@@ -308,5 +305,4 @@
 
 #define DEM_DISABLED  0x0
-#define DEM_SINK      0x1
 #define DEM_ENABLED   0x2
 
Index: uspace/srv/hw/netif/dp8390/dp8390_module.c
===================================================================
--- uspace/srv/hw/netif/dp8390/dp8390_module.c	(revision 096234b9793633e959b9f9a7665c5a2d6f85c7ff)
+++ uspace/srv/hw/netif/dp8390/dp8390_module.c	(revision 37f0a2922d68d05398f1e81f4691c64308e722a7)
@@ -301,5 +301,5 @@
 		
 		packet = next;
-	} while(packet);
+	} while (packet);
 	
 	return EOK;
Index: uspace/srv/hw/netif/dp8390/ne2000.c
===================================================================
--- uspace/srv/hw/netif/dp8390/ne2000.c	(revision 096234b9793633e959b9f9a7665c5a2d6f85c7ff)
+++ uspace/srv/hw/netif/dp8390/ne2000.c	(revision 37f0a2922d68d05398f1e81f4691c64308e722a7)
@@ -145,13 +145,13 @@
 	dep->de_data_port= dep->de_base_port + NE_DATA;
 	if (dep->de_16bit) {
-		dep->de_ramsize= NE2000_SIZE;
-		dep->de_offset_page= NE2000_START / DP_PAGESIZE;
+		dep->de_ramsize = NE2000_SIZE;
+		dep->de_offset_page = NE2000_START / DP_PAGESIZE;
 	} else {
-		dep->de_ramsize= NE1000_SIZE;
-		dep->de_offset_page= NE1000_START / DP_PAGESIZE;
+		dep->de_ramsize = NE1000_SIZE;
+		dep->de_offset_page = NE1000_START / DP_PAGESIZE;
 	}
 	
 	/* Allocate one send buffer (1.5KB) per 8KB of on board memory. */
-	sendq_nr= dep->de_ramsize / 0x2000;
+	sendq_nr = dep->de_ramsize / 0x2000;
 	
 	if (sendq_nr < 1)
@@ -162,5 +162,5 @@
 	dep->de_sendq_nr = sendq_nr;
 	for (i = 0; i < sendq_nr; i++)
-		dep->de_sendq[i].sq_sendpage= dep->de_offset_page + i * SENDQ_PAGES;
+		dep->de_sendq[i].sq_sendpage = dep->de_offset_page + i * SENDQ_PAGES;
 	
 	dep->de_startpage = dep->de_offset_page + i * SENDQ_PAGES;
